Show / Hide Table of Contents

# Class ColorScheme

Color scheme definitions, they cover some common scenarios and are used typically in toplevel containers to set the scheme that is used by all the views contained inside.

##### Inheritance

System.Object
ColorScheme

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ColorScheme

### Constructors

#### ColorScheme()

##### Declaration

    public ColorScheme ();

### Fields

#### Focus

The color for text when the view has the focus.

##### Declaration

    public Terminal.Gui.Attribute Focus;

##### Field Value

Type | Description
--- | ---
Attribute | To be added.

#### HotFocus

The color for the hotkey when the view is focused.

##### Declaration

    public Terminal.Gui.Attribute HotFocus;

##### Field Value

Type | Description
--- | ---
Attribute | To be added.

#### HotNormal

The color for the hotkey when a view is not focused

##### Declaration

    public Terminal.Gui.Attribute HotNormal;

##### Field Value

Type | Description
--- | ---
Attribute | To be added.

#### Normal

The default color for text, when the view is not focused.

##### Declaration

    public Terminal.Gui.Attribute Normal;

##### Field Value

Type | Description
--- | ---
Attribute | To be added.